xquery version "3.1";

module namespace litrans="http://bdn-edition.de/ns/single";
(: Der Link muss noch angepasst werden :)

declare namespace bdn="http://www.bdn-edition.de/ns/1.0";
declare namespace tei="http://www.tei-c.org/ns/1.0";
declare namespace xhtml="http://www.w3.org/1999/xhtml";
declare namespace html5="http://www.w3.org/1999/xhtml";
declare namespace lido="http://www.lido-schema.org/schema/v1.0/lido-v1.0-schema-listing.html";

import module namespace commons="http://bdn-edition.de/ns/commons" at "commons.xqm";
import module namespace config="https://sade.textgrid.de/ns/config" at "../config.xqm";
import module namespace functx = "http://www.functx.com";
import module namespace id-file="https://bdn-edition.de/ns/id-file" at "id-file.xqm";

declare function litrans:transform($nodes as node()*, $mode as xs:string*,
$file as xs:string) as node()*
{
    for $node in $nodes
        return
            (
                typeswitch($node)
                case text() return
                  let $text := text{replace($node, "@", " ")}
                  return
                              $text
            
                case comment() return
                  ()
                case element(lido:lido) return
                    element html5:html
                    {
                    single:transform($node/node(), $mode, $file)
                    }
        default return
            ()
        )
};