/* This handles the transforming of links to
  popover and ajax loading of the bibliography
    via the popvers
*/
/* initialize all popover which have an element data-toggle="popover" */
$(function () {
    $('[data-toggle="popover"]').popover();
});
  
/* handle the zotero bib popover click action */
$('.kmg-bib').click(function() {
var e = $(this);
if (e.data('loaded') !== true) {
    $.ajax({
    url: "/exist/restxq/zotero/" + e.data('id'),
    dataType: 'json',
    success: function(data) {
        e.data('loaded', true);
        e.attr('data-content', data.bib);
        var popover = e.data('bs.popover');
        popover.setContent();
        popover.$tip.addClass(popover.options.placement);
        var calculated_offset = popover.getCalculatedOffset(popover.options.placement, popover.getPosition(), popover.$tip[0].offsetWidth, popover.$tip[0].offsetHeight);
        popover.applyPlacement(calculated_offset, popover.options.placement);
    },
    error: function(jqXHR, textStatus, errorThrown) {
        e.attr('data-content', 'Daten konten nicht geladen werden');
        var popover = e.data('bs.popover');
        popover.setContent();
    }
    });
}
});